Public Member Functions

# wxStatusBarPane Class Reference
[Data Structures]

`#include <wx/statusbr.h>`

## Detailed Description

A status bar pane data container used by wxStatusBar.

##

Library: wxCore
Category: Data Structures

See also:
  wxStatusBar

## Public Member Functions
| wxStatusBarPane (int style=wxSB_NORMAL, size_t width=0)
| Constructs the pane with the given style and width.
int | GetWidth () const
| Returns the pane width; it maybe negative, indicating a variable-width field.
int | GetStyle () const
| Returns the pane style.
wxString | GetText () const
| Returns the text currently shown in this pane.

List of all members.

## Constructor & Destructor Documentation

wxStatusBarPane::wxStatusBarPane | ( | int | style = `wxSB_NORMAL`,
|  | size_t | width = `0` |
| ) |  |  |

Constructs the pane with the given style and width.

## Member Function Documentation

int wxStatusBarPane::GetStyle | ( |  | ) | const

Returns the pane style.

wxString wxStatusBarPane::GetText | ( |  | ) | const

Returns the text currently shown in this pane.

int wxStatusBarPane::GetWidth | ( |  | ) | const

Returns the pane width; it maybe negative, indicating a variable-width field.

|  | [ top ]